"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BackLink = BackLink;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _Link = require("../../../utils/Link");

function BackLink(props) {
  var children = props.children,
      href = props.href,
      to = props.to,
      className = props.className,
      attributes = (0, _objectWithoutProperties2["default"])(props, ["children", "href", "to", "className"]);
  var contents = children;
  return /*#__PURE__*/_react["default"].createElement(_Link.Link, (0, _extends2["default"])({}, attributes, {
    className: "govuk-back-link ".concat(className || ''),
    href: href,
    to: to
  }), contents);
}

BackLink.defaultProps = {
  href: '/',
  children: 'Back'
};