"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Details = Details;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

function Details(props) {
  var className = props.className,
      children = props.children,
      summaryChildren = props.summaryChildren,
      attributes = (0, _objectWithoutProperties2["default"])(props, ["className", "children", "summaryChildren"]);
  return /*#__PURE__*/_react["default"].createElement("details", (0, _extends2["default"])({
    className: "govuk-details ".concat(className || '')
  }, attributes, {
    "data-module": "govuk-details"
  }), /*#__PURE__*/_react["default"].createElement("summary", {
    className: "govuk-details__summary"
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: "govuk-details__summary-text"
  }, summaryChildren)), /*#__PURE__*/_react["default"].createElement("div", {
    className: "govuk-details__text"
  }, children));
}