"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Radios = Radios;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _Boolean = require("../../../utils/Boolean");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function Radios(props) {
  var value = props.value,
      defaultValue = props.defaultValue,
      items = props.items,
      restProps = (0, _objectWithoutProperties2["default"])(props, ["value", "defaultValue", "items"]); // Map React-like `value` top level prop to the child items' checked status

  var processedItems = items ? items.map(function (item) {
    if (item) {
      return _objectSpread(_objectSpread(_objectSpread({}, item), value != null && {
        checked: item.value === value
      }), defaultValue != null && {
        defaultChecked: item.value === defaultValue
      });
    }

    return item;
  }) : null;
  return /*#__PURE__*/_react["default"].createElement(_Boolean.Boolean, (0, _extends2["default"])({
    items: processedItems
  }, restProps, {
    controlType: "radios"
  }));
}