"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SkipLink = SkipLink;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

function SkipLink(props) {
  var href = props.href,
      className = props.className,
      children = props.children,
      attributes = (0, _objectWithoutProperties2["default"])(props, ["href", "className", "children"]);
  return /*#__PURE__*/_react["default"].createElement("a", (0, _extends2["default"])({
    href: href,
    className: "govuk-skip-link ".concat(className || '')
  }, attributes), children);
}

SkipLink.defaultProps = {
  href: '#content'
};