"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tag = Tag;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

function Tag(props) {
  var children = props.children,
      className = props.className,
      attributes = (0, _objectWithoutProperties2["default"])(props, ["children", "className"]);
  return /*#__PURE__*/_react["default"].createElement("strong", (0, _extends2["default"])({
    className: "govuk-tag ".concat(className || '')
  }, attributes), children);
}