"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Panel = Panel;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

function Panel(props) {
  var headingLevel = props.headingLevel,
      children = props.children,
      className = props.className,
      titleChildren = props.titleChildren,
      attributes = (0, _objectWithoutProperties2["default"])(props, ["headingLevel", "children", "className", "titleChildren"]);
  var HeadingLevel = headingLevel ? "h".concat(headingLevel) : 'h1';
  var innerHtml = children ? /*#__PURE__*/_react["default"].createElement("div", {
    className: "govuk-panel__body"
  }, children) : null;
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({
    className: "govuk-panel govuk-panel--confirmation ".concat(className || '')
  }, attributes), /*#__PURE__*/_react["default"].createElement(HeadingLevel, {
    className: "govuk-panel__title"
  }, titleChildren), innerHtml);
}