"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PhaseBanner = PhaseBanner;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _ = require("../..");

function PhaseBanner(props) {
  var className = props.className,
      tag = props.tag,
      children = props.children,
      attributes = (0, _objectWithoutProperties2["default"])(props, ["className", "tag", "children"]);
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({
    className: "govuk-phase-banner ".concat(className || '')
  }, attributes), /*#__PURE__*/_react["default"].createElement("p", {
    className: "govuk-phase-banner__content"
  }, /*#__PURE__*/_react["default"].createElement(_.Tag, {
    className: "govuk-phase-banner__content__tag ".concat((tag === null || tag === void 0 ? void 0 : tag.className) || '')
  }, tag && tag.children), /*#__PURE__*/_react["default"].createElement("span", {
    className: "govuk-phase-banner__text"
  }, children)));
}