"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WarningText = WarningText;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

function WarningText(props) {
  var className = props.className,
      iconFallbackText = props.iconFallbackText,
      children = props.children,
      attributes = (0, _objectWithoutProperties2["default"])(props, ["className", "iconFallbackText", "children"]);
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({
    className: "govuk-warning-text ".concat(className || '')
  }, attributes), /*#__PURE__*/_react["default"].createElement("span", {
    className: "govuk-warning-text__icon",
    "aria-hidden": "true"
  }, "!"), /*#__PURE__*/_react["default"].createElement("strong", {
    className: "govuk-warning-text__text"
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: "govuk-warning-text__assistive"
  }, iconFallbackText), children));
}